Update Margin Mode
curl --request POST \
--url https://order.sandbox.rails.xyz/api/v1/update-margin-mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": "BTC-USDT",
"marginMode": "C"
}
'import requests
url = "https://order.sandbox.rails.xyz/api/v1/update-margin-mode"
payload = {
"market": "BTC-USDT",
"marginMode": "C"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({market: 'BTC-USDT', marginMode: 'C'})
};
fetch('https://order.sandbox.rails.xyz/api/v1/update-margin-mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://order.sandbox.rails.xyz/api/v1/update-margin-mode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'market' => 'BTC-USDT',
'marginMode' => 'C'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://order.sandbox.rails.xyz/api/v1/update-margin-mode"
payload := strings.NewReader("{\n \"market\": \"BTC-USDT\",\n \"marginMode\": \"C\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://order.sandbox.rails.xyz/api/v1/update-margin-mode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"market\": \"BTC-USDT\",\n \"marginMode\": \"C\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://order.sandbox.rails.xyz/api/v1/update-margin-mode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"market\": \"BTC-USDT\",\n \"marginMode\": \"C\"\n}"
response = http.request(request)
puts response.read_body{
"message": "margin mode updated successfully"
}{
"error": {
"slug": "UPDATE_MARGIN_MODE_MARKET_IN_USE",
"code": "PRP-0901"
},
"message": "cannot update margin mode with open orders or positions in the market"
}{
"message": "Unauthorized"
}{
"error": {
"slug": "TOO_MANY_REQUESTS",
"code": "SYS-0003"
},
"message": "api call rate limit exceeded"
}Margin, Leverage & Orders
Update Margin Mode
This endpoint updates the margin mode for a given market.
POST
/
api
/
v1
/
update-margin-mode
Update Margin Mode
curl --request POST \
--url https://order.sandbox.rails.xyz/api/v1/update-margin-mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": "BTC-USDT",
"marginMode": "C"
}
'import requests
url = "https://order.sandbox.rails.xyz/api/v1/update-margin-mode"
payload = {
"market": "BTC-USDT",
"marginMode": "C"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({market: 'BTC-USDT', marginMode: 'C'})
};
fetch('https://order.sandbox.rails.xyz/api/v1/update-margin-mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://order.sandbox.rails.xyz/api/v1/update-margin-mode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'market' => 'BTC-USDT',
'marginMode' => 'C'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://order.sandbox.rails.xyz/api/v1/update-margin-mode"
payload := strings.NewReader("{\n \"market\": \"BTC-USDT\",\n \"marginMode\": \"C\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://order.sandbox.rails.xyz/api/v1/update-margin-mode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"market\": \"BTC-USDT\",\n \"marginMode\": \"C\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://order.sandbox.rails.xyz/api/v1/update-margin-mode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"market\": \"BTC-USDT\",\n \"marginMode\": \"C\"\n}"
response = http.request(request)
puts response.read_body{
"message": "margin mode updated successfully"
}{
"error": {
"slug": "UPDATE_MARGIN_MODE_MARKET_IN_USE",
"code": "PRP-0901"
},
"message": "cannot update margin mode with open orders or positions in the market"
}{
"message": "Unauthorized"
}{
"error": {
"slug": "TOO_MANY_REQUESTS",
"code": "SYS-0003"
},
"message": "api call rate limit exceeded"
}Use this endpoint only when the market has no open position and no open orders. Close the position and cancel any open orders for the market before changing its margin mode.
Authorizations
Body
application/json
Market name. Example value: BTC-USDT. To get all supported markets, call /api/v1/markets endpoint.